import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
//项目
@Entity('project')
export class Project extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户id' })
  user: number;
  @Column({ type: 'jsonb', nullable: true, comment: '标签' })
  tags: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '名称' })
  name: string;
  @Column({ type: 'character varying', nullable: true, comment: '发布时间' })
  time: string;
  @Column({ type: 'character varying', nullable: true, comment: '行业分类' })
  type: string;
  @Column({ type: 'character varying', nullable: true, comment: '成熟度' })
  maturity: string;
  @Column({ type: 'character varying', nullable: true, comment: '技术类型' })
  skill: string;
  @Column({ type: 'character varying', nullable: true, comment: '领域' })
  field: string;
  @Column({ type: 'character varying', nullable: true, comment: '合作类型' })
  cooperate: string;
  @Column({ type: 'jsonb', nullable: true, comment: '项目地区' })
  area: Array<any>;
  @Column({ type: 'text', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否公开' })
  is_use: string;
  @Column({ type: 'character varying', nullable: true, comment: '状态' })
  status: string;
  @Column({ type: 'character varying', nullable: true, comment: '项目主体' })
  main: string;
  @Column({ type: 'character varying', nullable: true, comment: '项目进展' })
  progress: string;
  @Column({ type: 'character varying', nullable: true, comment: '跟踪支持单位' })
  track_unit: string;
  @Column({ type: 'character varying', nullable: true, comment: '项目来源' })
  source: string;
  @Column({ type: 'character varying', nullable: true, comment: '产业分类' })
  industry: string;
}
